Create Sales Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: POST

Endpoint URL: https://coreapi.impexdocs.com/api/v1/salesorder

Authentication: Required

Response Format: JSON

Description

To create a Sales Order, make a POST request to the specified endpoint with the required information. The response will be a JSON object containing the following:

  • Response Code
  • Message
  • Sales Order ID

Request

To create a Sales Order, provide the following mandatory inputs in the request JSON:

  1. Order Number (order_no): The order number is the primary key used to identify each unique Sales Order in the system. It is essential for updating and retrieving data.

  2. Order Status (order_status): This field defines the status of a Sales Order. When creating a sales order, pass the default value "Created."

Response

The API will respond with a JSON object containing the following:

  • Response Code
  • Message
  • Sales Order ID

Example Response JSON

{
  "response_code": 200,
  "message": "Sales Order created successfully",
  "sales_order_id": "your_sales_order_id"
}

Note

  • Ensure proper authentication before making the request.
  • Use the Sales Order ID obtained from the response for further operations.
Body Params
string
required
length between 1 and 50

Unique identification to create and update a sales order record. If system generated numbering do not send a value, if the numbering is from an external system, a unique value is required

string
required
length between 1 and 50

This is the Current Status of the SalesOrder. While creating sales order, default value "Created" needs to be passed.

string | null
string | null
string | null
string | null
string | null
buyer_and_refrence_details
object
boolean

Validation on Partner Code is optional. If value is false, we will save the Partner data without any validation.
If value is true, we will validate Partner Code. Blank and Invalid code will not be allowed.

partner
array of objects | null
partner
transport_and_other_details
object
product_details
object
additional_information
object
other_information
object
terms_and_condition
object
internal_notes_details
object
payment_and_other_details
object
signatory_and_other_details
object
external_documents
array of objects | null
external_documents
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json